FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 08-16-2010, 12:46 AM
Daniel D Jones
 
Default emerge xchat fails

I have xchat installed. An update is failing to install with error:

libtool: link: cannot find the library `/usr/lib/libpng12.la' or unhandled
argument `/usr/lib/libpng12.la'

libpng is installed:

/usr/lib$eix libpng
[i] media-libs/libpng
Available versions:
(1.2) 1.2.44
(0) 1.4.3
Installed versions: 1.2.44(1.2)(06:16:49 PM 07/01/2010) 1.4.3(06:15:21
PM 07/01/2010)

Checking the lib directory, I find:

/usr/lib/$ls libpng*
libpng12.so.0 libpng14.a libpng14.la libpng14.so libpng14.so.14
libpng14.so.14.3.0 libpng.a libpng.la libpng.so

Any suggestions on how I go about fixing this?

--
"To generalize is to be an idiot. To particularize is alone the distinction of
merit - general knowledges are those knowledges that idiots possess." -
William Blake
 
Old 08-16-2010, 02:19 AM
Gregory Shearman
 
Default emerge xchat fails

In linux.gentoo.user, you wrote:
> I have xchat installed. An update is failing to install with error:
>
> libtool: link: cannot find the library `/usr/lib/libpng12.la' or unhandled
> argument `/usr/lib/libpng12.la'
>
> libpng is installed:
>
> /usr/lib$eix libpng
> [i] media-libs/libpng
> Available versions:
> (1.2) 1.2.44
> (0) 1.4.3
> Installed versions: 1.2.44(1.2)(06:16:49 PM 07/01/2010) 1.4.3(06:15:21
> PM 07/01/2010)
>
> Checking the lib directory, I find:
>
> /usr/lib/$ls libpng*
> libpng12.so.0 libpng14.a libpng14.la libpng14.so libpng14.so.14
> libpng14.so.14.3.0 libpng.a libpng.la libpng.so
>
> Any suggestions on how I go about fixing this?

Have you run:

# lafilefixer --justfixit

It looks like the libpng update has removed /usr/lib/libpng12.la and
/usr/lib/libpng.la is probably referencing this file. lafilefixer should
fix this.

You're running with both libpng 1.2 and libpng 1.4 installed. May I
suggest you read:

http://blog.flameeyes.eu/2010/06/29/stable-users-libpng-update

Do you keep a log of emerge messages so that you can fix these issues
as they arise?

The file /usr/share/portage/config/make.conf.example gives examples of
how to store all messages generated during an emerge update. These
messages can save you a lot of grief later on.

--
Regards,

Gregory.
 
Old 08-19-2010, 06:36 AM
liu shukui
 
Default emerge xchat fails

I faced the same problem, thank you.

On Mon, Aug 16, 2010 at 10:19 AM, Gregory Shearman <zekeyg@gmail.com> wrote:
> In linux.gentoo.user, you wrote:
>> I have xchat installed. *An update is failing to install with error:
>>
>> libtool: link: cannot find the library `/usr/lib/libpng12.la' or unhandled
>> argument `/usr/lib/libpng12.la'
>>
>> libpng is installed:
>>
>> /usr/lib$eix libpng
>> [i] media-libs/libpng
>> * * *Available versions:
>> * * * * (1.2) * 1.2.44
>> * * * * (0) * * 1.4.3
>> * * *Installed versions: *1.2.44(1.2)(06:16:49 PM 07/01/2010) 1.4.3(06:15:21
>> PM 07/01/2010)
>>
>> Checking the lib directory, I find:
>>
>> /usr/lib/$ls libpng*
>> libpng12.so.0 *libpng14.a *libpng14.la *libpng14.so *libpng14.so.14
>> libpng14.so.14.3.0 *libpng.a *libpng.la *libpng.so
>>
>> Any suggestions on how I go about fixing this?
>
> Have you run:
>
> # lafilefixer --justfixit
>
> It looks like the libpng update has removed /usr/lib/libpng12.la and
> /usr/lib/libpng.la is probably referencing this file. lafilefixer should
> fix this.
>
> You're running with both libpng 1.2 and libpng 1.4 installed. May I
> suggest you read:
>
> http://blog.flameeyes.eu/2010/06/29/stable-users-libpng-update
>
> Do you keep a log of emerge messages so that you can fix these issues
> as they arise?
>
> The file /usr/share/portage/config/make.conf.example gives examples of
> how to store all messages generated during an emerge update. These
> messages can save you a lot of grief later on.
>
> --
> Regards,
>
> Gregory.
>
>
 

Thread Tools




All times are GMT. The time now is 06:29 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org